> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Roles API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To import bot or admin roles into an account. This is typically used to import roles from one environment to another.

<Note>
  This API requires JWT generated by an application created only from Admin Console.
</Note>

| Field             | Value                                                                                                                           |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | POST                                                                                                                            |
| **Endpoint**      | `https://{{host}}/api/public/roles/import?roleType=bot&fullImport=true`                                                         |
| **Content Type**  | `application/json`                                                                                                              |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token). |
| **API Scope**     | App Builder: Not Applicable; Admin Console: Profile Management > Role Management                                                |

## Path Parameters

| Parameter    | Required | Description                                              |
| ------------ | -------- | -------------------------------------------------------- |
| `host`       | Required | Environment URL, for example, `https://platform.kore.ai` |
| `roleType`   | Required | The role type to import: `admin` or `bot`.               |
| `fullImport` | Optional | `true` for full import; `false` for incremental import.  |

## Sample Request

```json theme={null}
curl -X POST \
  'https://{{host}}/api/public/roles/import?roleType=admin&fullImport=true' \
  -H 'Content-Type: application/json' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \
  -d '{
"fileId":"{{fileId}}"
}'
```

## Body Parameters

| Parameter | Required | Description                                                                           |
| --------- | -------- | ------------------------------------------------------------------------------------- |
| `fileId`  | Required | The ID of the import file (provided by the cloud service where the file is uploaded). |

## Sample Response

```json theme={null}
[
    {
        "mapping": {
            "users": [],
            "groups": [],
            "bots": []
        },
        "roleType": "admin",
        "rStatus": "unpublished",
        "isASystemRole": false,
        "category": "admin",
        "audit": [],
        "_userAndGroups": [],
        "isDefault": false,
        "_id": "5bf132388c4f4e433d4xxxxx",
        "orgId": "o-d52dc1a4-8ef6-5fbf-943a-b572b46xxxxx",
        "role": "CustomAdmin1",
        "createdDate": "2018-11-18T09:34:48.501Z",
        "createdBy": "u-66bb4537-6a44-5127-b6e2-c97e4e6xxxxx",
        "modifiedDate": "2018-11-18T09:34:48.501Z",
        "modifiedBy": "u-66bb4537-6a44-5127-b6e2-c97e4e6xxxxx",
        "permissions": {
            "Invite": "YES",
            "Import Users / Sync": "NO",
            "Directory Sync": "NO",
            "Manage Users": "NO",
            "Manage User Settings": "NO",
            "Manage Groups": "NO",
            "Manage Custom Admin Roles": "NO",
            "Manage Built-In Admin Roles": "NO",
            "Manage Bot Roles": "NO",
            "Manage Deployment": "NO",
            "Enterprise Bots": "NO",
            "Consumer Bots": "NO",
            "Smart Bots": "NO",
            "Preferences": "NO",
            "Single Sign On": "NO",
            "Kore.ai Connector": "NO",
            "Enterprise Key": "NO",
            "API Scopes": "NO",
            "View and Run Audit Reports": "NO",
            "View and Run Bot Chat History": "NO"
        },
        "rDesc": "",
        "refId": "a287e9fb-ea34-5835-a4c5-0c9a9d6xxxxx",
        "_product": "Bots",
        "__v": 0
    }
]
```
